[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# operator div(variant, variant): variant

Implement div (integer division) operation on variants.

## Declaration

Source position: varianth.inc line 370

`operator operator div(variant, variant): variant(`
`const op1: variant;`
`const op2: variant`
`):variant;`

## Description

The implementation of the integer division Div operation is delegated to the variant manager with operation opintdivide.

## Errors

Execution of this operator may result in an exception if no variant manager is installed or if the types of the operand are not suitable for the operation.

## See also

operator mod(variant, variant): variant |  | Implement mod (modulo) operation on variants.

Documentation generated on: Feb 26 2014